%global pyver 2.3
%global with_python_bindings 1

Summary: Library providing XML and HTML support
Name: libxml2

%global momorel 3
Version: 2.6.16
Release: %{momorel}m
License: MIT/X
Group: Development/Libraries
URL: http://xmlsoft.org/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.6/%{name}-%{version}.tar.bz2 1ad0827b95e17e546265f2c4da001a6a

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: zlib-devel >= 1.1.4-5m
%if %{with_python_bindings}
BuildPrereq: python-devel >= %{pyver}
%endif

%description
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

%if %{with_python_bindings}
%package python
Summary: Library providing XML and HTML support for Python
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: python >= %{pyver}
PreReq: %{name} = %{version}-%{release}

%description python
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.
%endif

%package devel
Summary: Libraries, includes, etc. to develop XML and HTML applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: zlib-devel >= 1.1.4-5m

%description devel
Libraries, include files, etc you can use to develop XML applications.
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

%prep
%setup -q
libtoolize -c -f
aclocal
automake
autoconf

%build
%ifarch alpha
CFLAGS="-O0" %configure
%else
%configure
%endif
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING Copyright ChangeLog INSTALL NEWS README TODO*
%{_bindir}/xmllint
%{_bindir}/xmlcatalog
%{_libdir}/lib*.so.*
%{_mandir}/man1/xmllint.1*
%{_mandir}/man1/xmlcatalog.1*

%if %{with_python_bindings}
%files python
%defattr(-, root, root)
%doc Copyright COPYING
%{_libdir}/python%{pyver}/site-packages/drv_libxml2.py
%{_libdir}/python%{pyver}/site-packages/libxml2.py
%{_libdir}/python%{pyver}/site-packages/libxml2mod.so
%{_libdir}/python%{pyver}/site-packages/libxml2mod.*a
%endif

%files devel
%defattr(-, root, root)
%doc Copyright COPYING doc/*.html doc/html doc/tutorial example test
%{_bindir}/xml2-config
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/xml2-config.1*
%{_mandir}/man3/libxml.3*
%{_datadir}/aclocal/libxml.m4
%{_includedir}/libxml2

%changelog
* Mon Feb 21 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.16-3m)
- rebuild against automake

* Wed Dec 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.6.16-2m)
- add auto commands before %%build for fix missing lib*.so problem

* Wed Nov 17 2004 TAKAHASHI Tamotsu <tamo>
- (2.6.16-1m)
- update: including CAN-2004-0989

* Sun Oct  3 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.14-1m)
- minor bugfixes

* Sun Oct  3 2004 YAMAZAKI Makoto <zaki@zaky.org>
- (2.6.9-3m)
- added with_python_bindings macro

* Tue Sep  7 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.9-2m)
- rebuild against python2.3

* Sun Apr 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.9-1m)
- minor feature enhancements

* Fri Apr  9 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.6.8-1m)
- version 2.6.8
- GNOME 2.6 Desktop

* Sat Mar 20 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.6-2m)
- change docdir %%defattr

* Sun Feb 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.6-1m)
- minor security fixes

* Sun Dec 28 2003 Kenta MURATA <muraken2@nifty.com>
- (2.6.4-1m)
- version 2.6.4.

* Thu Dec 04 2003 TAKAHASHI Tamotsu <tamo>
- (2.6.2-1m)
- version 2.6.2
 (DocBook XSLT processing error fixed)

* Sun Nov 02 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.6.1-1m)
- version 2.6.1

* Wed Oct 29 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.6.0-1m)
- version 2.6.0
- remove nodberror.patch, DocBook related functions are now
- obsoleted by libxml2-2.6.0

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (2.5.11-3m)
- devel package includes Copyright, COPYING and some examples.
- separate python package.
- pretty spec file.

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.5.11-2m)
- change License

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.5.11-1m)
- version 2.5.11

* Sun Aug 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.5.10-1m)
- major bugfixes

* Tue Jul 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.5.8-1m)
- version 2.5.8

* Thu May 01 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.5.7-2m)
- move *.so libxml2-devel

* Thu May 01 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.5.7-1m)
- version 2.5.7

* Mon Apr 07 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.5.6-2m)
- rebuild against zlib 1.1.4-5m

* Wed Apr 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.5.6-1m)
- version 2.5.6

* Tue Mar 25 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.5.5-1m)
- version 2.5.5

* Tue Feb 25 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.5.4-1m)
- version 2.5.4

* Wed Feb 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.5.3-1m)
- version 2.5.3

* Fri Feb 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.5.2-1m)
- version 2.5.2

* Tue Jan 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.5.1-1m)
- version 2.5.1

* Sun Dec 15 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.30-1m)
- version 2.4.30

* Thu Dec 12 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.29-1m)
- version 2.4.29

* Tue Nov 26 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.28-1m)
- version 2.4.28

* Mon Nov 18 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.27-1m)
- major bugfixes

* Sun Oct 20 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.26-1m)
- version 2.4.26

* Wed Oct 16 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.25-2m)
- add libxml2-2.4.25-valid.patch

* Fri Oct 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.24-2m)
- scrollkeeper not work with 2.4.25. fall back.

* Fri Oct 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.25-1m)
- version 2.4.25

* Sat Aug 24 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.24-1m)
- version 2.4.24

* Tue Jul  9 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.23-1m)
- change the license to 'MIT/X Consortium License'

* Wed May 29 2002 Shingo Akagaki <dora@kondara.org>
- (2.4.22-2k)
- version 2.4.22

* Sun May 05 2002 Shingo Akagaki <dora@kondara.org>
- (2.4.21-2k)
- version 2.4.21

* Tue Apr 16 2002 Shingo Akagaki <dora@kondara.org>
- (2.4.20-2k)
- version 2.4.20

* Mon Apr 01 2002 Shingo Akagaki <dora@kondara.org>
- (2.4.19-2k)
- version 2.4.19

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (2.4.18-4k)
- force -O2 for alpha platform...

* Tue Mar 19 2002 Shingo Akagaki <dora@kondara.org>
- (2.4.18-2k)
- version 2.4.18

* Sat Mar 09 2002 Shingo Akagaki <dora@kondara.org>
- (2.4.17-2k)
- version 2.4.17

* Tue Mar  5 2002 Shingo Akagaki <dora@kondara.org>
- (2.4.16-6k)
- modify dependency list

* Mon Mar  4 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.4.16-4k)
- fix a broken symlink of COPYING

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (2.4.16-2k)
- version 2.4.16

* Tue Feb 12 2002 Shingo Akagaki <dora@kondara.org>
- (2.4.15-2k)
- version 2.4.15

* Tue Jan 15 2002 Shingo Akagaki <dora@kondara.org>
- (2.4.13-2k)
- version 2.4.13

* Tue Dec 18 2001 Shingo Akagaki <dora@kondara.org>
- (2.4.12-4k)
- add dbenc

* Fri Dec 14 2001 Shingo Akagaki <dora@kondara.org>
- (2.4.12-2k)
- up to 2.4.12

* Wed Nov  7 2001 Shingo Akagaki <dora@kondara.org>
- (2.4.9-2k)
- up to 2.4.9

* Tue Nov  6 2001 Shingo Akagaki <dora@kondara.org>
- (2.4.8-2k)
- up to 2.4.8

* Fri Nov  2 2001 Shingo Akagaki <dora@kondara.org>
- (2.4.7-2k)
- up to 2.4.7

* Sat Oct 20 2001 Motonobu Ichimura <famao@kondara.org>
- (2.4.6-2k)
- up to 2.4.6

* Mon Sep 17 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (2.4.5-2k)
- version 2.4.5

* Thu Sep 13 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (2.4.4-2k)
- version 2.4.4

* Sat Aug 25 2001 Shingo Akagaki <dora@kondara.org>
- version 2.4.3

* Fri Aug 17 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 2.4.2

* Fri Aug 17 2001 Toru Hoshina <toru@df-usa.com>
- version 2.4.1.

* Wed Jul 11 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 2.4.0

* Mon Jul  9 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 2.3.14

* Wed Jul  4 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 2.3.13

* Thu Jun 21 2001 Toru Hoshina <toru@df-usa.com>
- no more alpha patch.

* Mon Jun 18 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 2.3.11

* Mon Apr 30 2001 Toru Hoshina <toru@df-usa.com>
- alpha... dassa.

* Tue Apr 24 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 2.3.7

* Wed Apr 11 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 2.3.6

* Sun Mar 25 2001 Shingo Akagaki <dora@kondara.org>
- version 2.3.5

* Tue Mar 20 2001 Shingo Akagaki <dora@kondara.org>
- version 2.3.4

* Sun Mar 18 2001 Shingo Akagaki <dora@kondara.org>
- K2K

* Fri Mar 09 2001 Motonobu Ichimura <famao@kondara.org>
- up to 2.3.3

* Thu Mar 01 2001 Motonobu Ichimura <famao@kondara.org>
- up to 2.3.2

* Fri Feb 16 2001 Motonobu Ichimura <famao@kondara.org>
- firse release

* Thu Sep 23 1999 Daniel Veillard <Daniel.Veillard@w3.org>

- corrected the spec file alpha stuff
- switched to version 1.7.1
- Added validation, XPath, nanohttp, removed memory leaks
- Renamed CHAR to xmlChar

* Wed Jun  2 1999 Daniel Veillard <Daniel.Veillard@w3.org>

- Switched to version 1.1: SAX extensions, better entities support, lots of
  bug fixes.

* Sun Oct  4 1998 Daniel Veillard <Daniel.Veillard@w3.org>

- Added xml-config to the package

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>

- Built release 0.30
